This test is the cirros equivalent of the busybox-hvm test
Signed-off-by: Géza Gémes <geza.gemes@gmail.com>
Reviewed-by: Stefano Stabellini <sstabellini@kernel.org>
--- /dev/null
+#!/usr/bin/env bash
+
+set -e
+
+function cirros-qemu-hvm-cleanup() {
+ tear_down_cirros_test $testdir
+}
+
+function cirros-qemu-hvm-test() {
+ download_cirros_components
+ testdir=`mktemp -d`
+ cp $CIRROS_DOWNLOADS/$CIRROS_DISK_FILE $testdir
+ cat >$testdir/cirros-qemu-hvm.cfg <<EOF
+name = "raisin-test"
+builder = "hvm"
+memory = 128
+vcpus = 2
+disk = [ '$testdir/$CIRROS_DISK_FILE,raw,hda,rw' ]
+vif = [ 'bridge=xenbr1' ]
+serial="pty"
+boot="c"
+EOF
+
+ $SUDO xl create $testdir/cirros-qemu-hvm.cfg
+ check_guest_alive
+}
cirros-separate-kernel-pv
cirros-pygrub-pv
cirros-pvgrub2-pv
+cirros-qemu-hvm